# frozen_string_literal: true

require File.expand_path(File.join('..', 'lib', 'omniauth', 'sialog', 'version'), __FILE__)

Gem::Specification.new do |gem|
  gem.name = 'omniauth-sialog'
  gem.version = OmniAuth::Sialog::VERSION
  gem.license = 'MIT'
  gem.summary = 'Sialog strategy for OmniAuth'
  gem.description = 'Sialog strategy for OmniAuth. This allows you to interface with SialogAccounts.'
  gem.authors = ['Francis Schiavo']
  gem.email = ['francis@sialog.com.br']
  gem.homepage = 'http://gitlab.sialog.com/sialog-rails/omniauth-sialog'

  gem.files = `git ls-files`.split("\n")
  gem.require_paths = ['lib']

  gem.required_ruby_version = '>= 2.5'

  gem.add_runtime_dependency 'jwt', '~> 1.5'
  gem.add_runtime_dependency 'omniauth', '~> 1.1', '>= 1.1.1'
  gem.add_runtime_dependency 'omniauth-oauth2', '~> 1.5'

  gem.add_development_dependency 'rake', '~> 12.0'
  gem.add_development_dependency 'rspec', '~> 3.6'
  gem.add_development_dependency 'rubocop', '~> 0.49'

  raise 'RubyGems 2.0 or newer is required to protect against public gem pushes.' unless gem.respond_to?(:metadata)

  gem.metadata['homepage_uri'] = gem.homepage
  gem.metadata['source_code_uri'] = 'http://gitlab.sialog.com/sialog-rails/omniauth-sialog'
  gem.metadata['changelog_uri'] = 'http://gitlab.sialog.com/sialog-rails/omniauth-sialog/blob/master/CHANGELOG.md'
end
